## dislocker 0.7.3+git20250907

=== CMakeLists.txt ===
# Dislocker -- enables to read/write on BitLocker encrypted partitions under
# Linux
# Copyright (C) 2012-2013  Romain Coltel, Hervé Schauer Consultants
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
# USA.

cmake_minimum_required (VERSION 3.5)
project (dislocker C)

set (AUTHOR "Romain Coltel")

find_program (GIT_EXE NAMES git PATHS /usr/bin /usr/local/bin)

if(GIT_EXE)
	execute_process (
		COMMAND ${GIT_EXE} rev-parse --abbrev-ref HEAD
		WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
		OUTPUT_VARIABLE GIT_RELEASE_BRANCH
	)
	execute_process (
		COMMAND ${GIT_EXE} log -n 1 --pretty=format:%t
		WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
		OUTPUT_VARIABLE GIT_RELEASE_COMMIT
	)
	string (STRIP "${GIT_RELEASE_BRANCH}" GIT_RELEASE_BRANCH)
	string (STRIP "${GIT_RELEASE_COMMIT}" GIT_RELEASE_COMMIT)
	add_definitions (-DVERSION_DBG="${GIT_RELEASE_BRANCH}:${GIT_RELEASE_COMMIT}")
endif()


set (VERSION_MAJOR 0)
set (VERSION_MINOR 7)
set (VERSION_RELEASE 2)
set (VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_RELEASE}")

add_subdirectory (${PROJECT_SOURCE_DIR}/src)

configure_file(
	"${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
	"${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
	IMMEDIATE @ONLY
)
add_custom_target(uninstall
	COMMAND "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
)

=== src/CMakeLists.txt ===
# Dislocker -- enables to read/write on BitLocker encrypted partitions under
# Linux
# Copyright (C) 2012-2013  Romain Coltel, Hervé Schauer Consultants
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
# USA.

if("${CMAKE_SOURCE_DIR}" MATCHES "src/?$")
	message(FATAL_ERROR "\nPlease execute cmake from the directory above, not the src/ directory.")
	return()
endif()

# On OSX, frameworks are found before installed libraries (cf. https://gitlab.kitware.com/cmake/cmake/-/issues/16427)
if("${CMAKE_SYSTEM_NAME}" STREQUAL "Darwin")
	set(CMAKE_FIND_FRAMEWORK Last)
	message(STATUS "CMAKE_FIND_FRAMEWORK='${CMAKE_FIND_FRAMEWORK}'")
endif()

add_definitions (-DPROGNAME="${PROJECT_NAME}")
add_definitions (-DAUTHOR="${AUTHOR}")
add_definitions (-DVERSION="${VERSION}")
add_definitions (-D_FILE_OFFSET_BITS=64)
add_definitions (-D__OS="${CMAKE_SYSTEM_NAME}")
string (TOUPPER "${CMAKE_SYSTEM_NAME}" SYSNAME)
add_definitions (-D__${SYSNAME})

if("${CMAKE_SIZEOF_VOID_P}" EQUAL 8)
	add_definitions (-D__ARCH="x86_64")
	add_definitions (-D__ARCH_X86_64)
else()
	add_definitions (-D__ARCH="x86")
	add_definitions (-D__ARCH_X86)
endif()

if( NOT CMAKE_CROSSCOMPILING )
	include_directories (SYSTEM /usr/local/include)
endif()
include_directories (${PROJECT_SOURCE_DIR}/include)

set (LIB pthread)
set (SOURCES
		dislocker.c common.c config.c
		xstd/xstdio.c xstd/xstdlib.c
		metadata/datums.c metadata/metadata.c metadata/vmk.c
		metadata/fvek.c metadata/extended_info.c
		metadata/guid.c metadata/print_metadata.c
		accesses/stretch_key.c accesses/accesses.c
		accesses/rp/recovery_password.c
		accesses/user_pass/user_pass.c accesses/bek/bekfile.c
		encryption/encommon.c encryption/decrypt.c encryption/encrypt.c
		encryption/diffuser.c encryption/crc32.c encryption/aes-xts.c
		ntfs/clock.c ntfs/encoding.c
		inouts/inouts.c inouts/prepare.c inouts/sectors.c
	)

if(NOT DEFINED WARN_FLAGS)
	set (WARN_FLAGS "-Wall -Wextra" CACHE STRING "" FORCE)
endif()
if(NOT DEFINED HARDEN_FLAGS)
	set (HARDEN_FLAGS "-fstack-protector -fstrict-aliasing -D_FORTIFY_SOURCE=2 -O1" CACHE STRING "" FORCE)
endif()

set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIC")
set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${WARN_FLAGS}")
set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${HARDEN_FLAGS}")

if(DEFINED CFLAGS)
	set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${CFLAGS}")
endif()
if(DEFINED RPM_OPT_FLAGS)
	set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${RPM_OPT_FLAGS}")
endif()

set (CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -D DEBUG=${DEBUG} -D__DIS_CORE_DUMPS")


if("${CMAKE_SYSTEM_NAME}" STREQUAL "Darwin")
	# Don't use `-read_only_relocs' here as it seems to only work for 32 bits
	# binaries
	set (CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,-bind_at_load")
	# Library for libiconv
	set (LIB ${LIB} iconv)
else()
	# Useless warnings when used within Darwin
	set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wconversion")
	if("${CMAKE_SYSTEM_NAME}" STREQUAL "FreeBSD")
		link_directories ( ${LINK_DIRECTORIES} /usr/local/lib )
	endif()
endif()

if(${CMAKE_COMPILER_IS_GNUCC})
	set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wl,-z,now -Wl,-z,relro")
elseif("${CMAKE_C_COMPILER_ID}" STREQUAL "Clang")
	set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Qunused-arguments")
else()
	message ("*** WARNING *** You're compiling with an untested compiler (${CMAKE_C_COMPILER_ID}), this mays result in unwanted behaviours.\n")
endif()
if(DEFINED LDFLAGS)
	set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${LDFLAGS}")
endif()
if(DEFINED RPM_LD_FLAGS)
	set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${RPM_LD_FLAGS}")
endif()


# Libraries
set (CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake)

find_package (MbedTLS 3 REQUIRED)
set (LIB ${LIB} MbedTLS::mbedcrypto)

# Ruby bindings
set(WITH_RUBY "AUTO" CACHE STRING "Enable Ruby bindings. Valid values are ON, OFF, or AUTO")
if (NOT "${WITH_RUBY}" STREQUAL "OFF")
	set(_Ruby_DEBUG_OUTPUT ON)
	find_package (Ruby)
	if(RUBY_FOUND  AND  RUBY_INCLUDE_DIRS  AND  RUBY_LIBRARY)
		include_directories(${RUBY_INCLUDE_DIRS})
		set(LIB ${LIB} ${RUBY_LIBRARY})
		add_definitions(-D_HAVE_RUBY=${RUBY_VERSION_STRING})
		set(SOURCES ${SOURCES} ruby.c)
	elseif("${WITH_RUBY}" STREQUAL "ON")
		message(FATAL_ERROR "Ruby bindings requested, but Ruby could not found")
	else()
		message("Ruby not found, Ruby bindings will be disabled")
	endif()
else()
	message("Ruby bindings disabled by user request")
endif()

# FUSE
# Unlike Ruby which is largely optional, the primary use-case of Dislocker depends on FUSE,
# so fail when its not found unless explicitly disabled by the user.
option(WITH_FUSE "Enable FUSE support. Required for mounting BitLocker-encrypted volumes" ON)
if(WITH_FUSE)
	find_package (FUSE)
	if(FUSE_FOUND  AND  FUSE_INCLUDE_DIRS  AND  FUSE_LIBRARIES)
		include_directories (${FUSE_INCLUDE_DIRS})
		if(FUSE_LIBRARY_DIRS)
			link_directories(${FUSE_LIBRARY_DIRS})
		endif()
		set (LIB ${LIB} ${FUSE_LIBRARIES})
	else()
		message(FATAL_ERROR "FUSE not found. Please install FUSE, or configure Dislocker with -DWITH_FUSE=OFF")
	endif()
else()
	message(WARNING "FUSE support is disabled, Dislocker will be unable to mount BitLocker-encrypted volumes!")
endif()

# Places
if(NOT DEFINED sharedir)
  set(sharedir ${CMAKE_INSTALL_PREFIX}/share)
endif()

if(NOT DEFINED mandir)
  set(mandir ${sharedir}/man)
endif()

if(NOT DEFINED LIB_INSTALL_DIR)
	if(NOT DEFINED libdir)
		if(IS_DIRECTORY "${CMAKE_INSTALL_PREFIX}/lib64")
			set(libdir "${CMAKE_INSTALL_PREFIX}/lib64")
		else()
			set(libdir "${CMAKE_INSTALL_PREFIX}/lib")
		endif()
	endif()
else()
	set(libdir ${LIB_INSTALL_DIR})
endif()

if(NOT DEFINED bindir)
	set(bindir "${CMAKE_INSTALL_PREFIX}/bin")
endif()

string (TOLOWER "${CMAKE_SYSTEM_NAME}" SYSNAME)
set (DIS_MAN ${PROJECT_SOURCE_DIR}/man/${SYSNAME})

# RPATH handling
if(POLICY CMP0042)
	cmake_policy (SET CMP0042 NEW)
endif()
set (CMAKE_SKIP_BUILD_RPATH FALSE)
set (CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)
set (CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
list (FIND CMAKE_PLATFORM_IMPLICIT_LINK_DIRECTORIES "${libdir}" isSystemDir)
if("${isSystemDir}" STREQUAL "-1")
   set (CMAKE_INSTALL_RPATH "${libdir}")
endif()

# Targets
add_library (${PROJECT_NAME} SHARED ${SOURCES})
target_link_libraries (${PROJECT_NAME} ${LIB})
set_target_properties (${PROJECT_NAME} PROPERTIES VERSION "${VERSION}" SOVERSION "${VERSION_MAJOR}.${VERSION_MINOR}")
install (TARGETS ${PROJECT_NAME} LIBRARY DESTINATION "${libdir}")

if (${APPLE})
	set (BUNDLE_NAME ${PROJECT_NAME}_bundle)
	add_library (${BUNDLE_NAME} MODULE ${SOURCES})
	target_link_libraries (${BUNDLE_NAME} ${LIB})
	set_target_properties (${BUNDLE_NAME} PROPERTIES OUTPUT_NAME ${PROJECT_NAME} SUFFIX .bundle)
	install (TARGETS ${BUNDLE_NAME} DESTINATION "${libdir}")
endif()

set (CLEAN_FILES "")

if(FUSE_FOUND)
	set (BIN_FUSE ${PROJECT_NAME}-fuse)
	add_executable (${BIN_FUSE} ${BIN_FUSE}.c)
	target_link_libraries (${BIN_FUSE} ${FUSE_LIBBRARIES} ${PROJECT_NAME})
	set_target_properties (${BIN_FUSE} PROPERTIES COMPILE_DEFINITIONS FUSE_USE_VERSION=314)
	set_target_properties (${BIN_FUSE} PROPERTIES LINK_FLAGS "-pie -fPIE")
	add_custom_command (TARGET ${BIN_FUSE} POST_BUILD
		COMMAND mkdir -p ${CMAKE_BINARY_DIR}/man/
		COMMAND gzip -c ${DIS_MAN}/${BIN_FUSE}.1 > ${CMAKE_BINARY_DIR}/man/${BIN_FUSE}.1.gz
	)
	set (CLEAN_FILES ${CLEAN_FILES} ${CMAKE_BINARY_DIR}/man/${BIN_FUSE}.1.gz)
	install (TARGETS ${BIN_FUSE} RUNTIME DESTINATION "${bindir}")
	install (FILES ${CMAKE_BINARY_DIR}/man/${BIN_FUSE}.1.gz DESTINATION "${mandir}/man1")
	install (CODE "execute_process (COMMAND ${CMAKE_COMMAND} -E create_symlink ${BIN_FUSE} \"\$ENV{DESTDIR}${bindir}/${PROJECT_NAME}\")")
	install (CODE "execute_process (COMMAND ${CMAKE_COMMAND} -E create_symlink ${BIN_FUSE}.1.gz \"\$ENV{DESTDIR}${mandir}/man1/${PROJECT_NAME}.1.gz\")")
endif()

set (BIN_FILE ${PROJECT_NAME}-file)
add_executable (${BIN_FILE} ${BIN_FILE}.c)
target_link_libraries (${BIN_FILE} ${PROJECT_NAME})
set_target_properties (${BIN_FILE} PROPERTIES LINK_FLAGS "-pie -fPIE")
add_custom_command (TARGET ${BIN_FILE} POST_BUILD
	COMMAND mkdir -p ${CMAKE_BINARY_DIR}/man/
	COMMAND gzip -c ${DIS_MAN}/${BIN_FILE}.1 > ${CMAKE_BINARY_DIR}/man/${BIN_FILE}.1.gz
)
set (CLEAN_FILES ${CLEAN_FILES} ${CMAKE_BINARY_DIR}/man/${BIN_FILE}.1.gz)
install (TARGETS ${BIN_FILE} RUNTIME DESTINATION "${bindir}")
install (FILES ${CMAKE_BINARY_DIR}/man/${BIN_FILE}.1.gz DESTINATION "${mandir}/man1")

set (BIN_METADATA ${PROJECT_NAME}-metadata)
add_executable (${BIN_METADATA} ${BIN_METADATA}.c)
target_link_libraries (${BIN_METADATA} ${PROJECT_NAME})
set_target_properties (${BIN_METADATA} PROPERTIES LINK_FLAGS "-pie -fPIE")
install (TARGETS ${BIN_METADATA} RUNTIME DESTINATION "${bindir}")

set (BIN_BEK ${PROJECT_NAME}-bek)
add_executable (${BIN_BEK} ${BIN_BEK}.c)
target_link_libraries (${BIN_BEK} ${PROJECT_NAME})
set_target_properties (${BIN_BEK} PROPERTIES LINK_FLAGS "-pie -fPIE")
install (TARGETS ${BIN_BEK} RUNTIME DESTINATION "${bindir}")

if(RUBY_FOUND)
	set (BIN_FIND ${PROJECT_NAME}-find)
	configure_file ("${CMAKE_CURRENT_SOURCE_DIR}/${BIN_FIND}.rb.in" "${CMAKE_CURRENT_SOURCE_DIR}/${BIN_FIND}.rb" ESCAPE_QUOTES @ONLY)
	add_custom_target(${BIN_FIND} ALL
		COMMAND cp "${CMAKE_CURRENT_SOURCE_DIR}/${BIN_FIND}.rb" "${CMAKE_CURRENT_BINARY_DIR}/${BIN_FIND}"
		COMMAND chmod u+x "${CMAKE_CURRENT_BINARY_DIR}/${BIN_FIND}"
		SOURCES "${CMAKE_CURRENT_SOURCE_DIR}/${BIN_FIND}.rb"
	)
	set (CLEAN_FILES ${CLEAN_FILES} ${CMAKE_CURRENT_BINARY_DIR}/${BIN_FIND})
	add_custom_command (TARGET ${BIN_FIND} POST_BUILD
		COMMAND mkdir -p ${CMAKE_BINARY_DIR}/man/
		COMMAND gzip -c ${DIS_MAN}/${BIN_FIND}.1 > ${CMAKE_BINARY_DIR}/man/${BIN_FIND}.1.gz
	)
	set (CLEAN_FILES ${CLEAN_FILES} ${CMAKE_BINARY_DIR}/man/${BIN_FIND}.1.gz)
	install (PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/${BIN_FIND} DESTINATION "${bindir}")
	install (FILES ${CMAKE_BINARY_DIR}/man/${BIN_FIND}.1.gz DESTINATION "${mandir}/man1")
else()
	set (BIN_FIND true)
endif()

set_directory_properties(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES "${CLEAN_FILES}")

# Travis' test target
add_custom_target(travis-test
	COMMAND ${BIN_FUSE} -h
	COMMAND ${BIN_FILE} -h
	COMMAND ${BIN_METADATA} -h
	COMMAND ${BIN_BEK} -h
	COMMAND ${BIN_FIND} -h
	COMMAND man -w dislocker
)

=== src/accesses/bek/Makefile ===
PROGNAME	=	read_bekfile
AUTHOR		=	\"Romain Coltel\"
ARCH		=	$(shell uname -m)
OS		=	$(shell uname -s)
# DEBUG		=	1

ifeq ($(OS), FreeBSD)
MAKE		=	gmake
else
MAKE		=	make
endif

CC		=	cc
DEFINES		=	-DPROGNAME=\"$(PROGNAME)\"
INC		=	-I/usr/include -I../..
CHARDEN		=	-fstack-protector -fPIC -D_FORTIFY_SOURCE=2 -O1
LHARDEN		=	-pie -fPIE -Wl,-z,relro -Wl,-z,now
WFLAGS		=	-Wall -Werror -Wextra
CFLAGS		=	$(WFLAGS) $(DEFINES) $(INC) $(CHARDEN)
SOURCES		=	main.c read_bekfile.c
OBJECTS		=	$(SOURCES:.c=.o)
override LDFLAGS    +=	$(LIB) $(LHARDEN)
BIN		=	$(PROGNAME)

EXT_OBJ		=	../../common.o ../../metadata/datums.o ../../metadata/print_metadata.o \
			../../metadata/extended_info.o ../../metadata/vmk.o \
			../../ntfs/guid.o ../../ntfs/clock.o ../../ntfs/encoding.o \
			../../xstd/xstdio.o ../../xstd/xstdlib.o



# For MacOSX users
ifeq ($(OS), Darwin)
DEFINES		+=	-D__DARWIN
else
# Useless warnings when used within Darwin
WFLAGS		+=	-Wconversion
endif


ifdef DEBUG
DBGFLAGS	=	-ggdb -D DEBUG=$(DEBUG)
CFLAGS		+=	$(DBGFLAGS)
endif


export

.PHONY : all $(BIN) library clean

.c.o :
	$(CC) $(CFLAGS) -c -o $@ $<

all : $(BIN)

$(BIN) : $(OBJECTS)
	@$(MAKE) DEBUG=$(DEBUG) -C ../../ common
	$(CC) $(CFLAGS) -o $@ $^ $(EXT_OBJ) $(LDFLAGS)

library : read_bekfile.o

clean :
	@$(MAKE) -C ../../ clean
	rm -rf -- $(BIN) *.o *~ *.swp *.gcno *.gcda *.gcov

=== src/accesses/user_pass/Makefile ===
PROGNAME	=	user_pass
AUTHOR		=	\"Romain Coltel\"
ARCH		=	$(shell uname -m)
OS		=	$(shell uname -s)
# DEBUG		=	1

ifeq ($(OS), FreeBSD)
MAKE		=	gmake
else
MAKE		=	make
endif

CC		=	cc
DEFINES		=	-DPROGNAME=\"$(PROGNAME)\" -D_FILE_OFFSET_BITS=64
INC		=	-I/usr/include -I../../
CHARDEN		=	-fstack-protector -fPIC -D_FORTIFY_SOURCE=2 -O1
LHARDEN		=	-pie -fPIE -Wl,-z,relro -Wl,-z,now
WFLAGS		=	-Wall -Werror -Wextra
CFLAGS		=	$(WFLAGS) $(DEFINES) $(INC) $(CHARDEN)
override LDFLAGS    +=	$(LIB) $(LHARDEN) -lpolarssl
MAIN_OBJECT	=	
SOURCES		=	user_pass.c ../stretch_key.c
OBJECTS		=	$(SOURCES:.c=.o) ../stretch_key.o \
			../../xstd/xstdio.o ../../xstd/xstdlib.o \
			../../ntfs/encoding.o
BIN		=	$(PROGNAME)


# For MacOSX users
ifeq ($(OS), Darwin)
DEFINES		+=	-D__DARWIN
else
# Useless warnings when used within Darwin
WFLAGS		+=	-Wconversion
endif


ifdef DEBUG
DBGFLAGS	=	-ggdb -D DEBUG=$(DEBUG)
CFLAGS		+=	$(DBGFLAGS)
endif


export

.PHONY : all library $(BIN) clean

.c.o :
	$(CC) $(CFLAGS) -c -o $@ $<

all : MAIN_OBJECT = main.o
all : main.o
all : $(BIN)

check : clean
check : MAIN_OBJECT = check_user_pass.o
check : check_user_pass.o
check : DEFINES += -D__CK_DOING_TESTS
check : CFLAGS  += -fprofile-arcs -ftest-coverage
check : LDFLAGS += -lcheck
check : do_check

do_check : $(BIN)
	./$(BIN)
	gcov $(BIN).c

$(BIN) : $(OBJECTS)
	@$(MAKE) DEBUG=$(DEBUG) -C ../../ common
	$(CC) $(CFLAGS) -o $@ $(MAIN_OBJECT) $^ ../../common.o $(LDFLAGS)

library : user_pass.o

clean :
	@$(MAKE) -C ../../ clean
	rm -rf -- $(BIN) *.o *~ *.swp *.gcno *.gcda *.gcov

=== debian/changelog ===
dislocker (0.7.3+git20250907-1) unstable; urgency=medium

  * New upstream version 0.7.3+git20250907 (Closes: #1112849)
  * d/p/*: Adapt patches to new upstream source.
    - always-pick-linux-manpages.patch: updated
    - deprecated-ruby-code.patch: removed, applied upstream
    - detect-PolarSSL-version.patch: removed, not applicable any more
    - fix-spelling.patch: applied upstream
    - fuse3.patch: applied upstream
    - wrong-libdir.patch: updated
  * d/control:
    - Add myself to Uploaders.
    - Drop 'Rules-Requires-Root: binary-targets'. Todays default
      'Rules-Requires-Root: no' is sufficient to build the package.
    - Bump Standards-Version to 4.7.2.
  * Apply 'wrap-and-sort -at'.
  * d/clean: Update this file.
  * d/rules: Drop override_dh_auto_clean, not needed with the updated d/clean.
  * d/libdislocker0.7t64.symbols: Add new symbols.

 -- Sven Geuer <sge@debian.org>  Tue, 09 Sep 2025 20:45:06 +0200

=== debian/control ===
Source: dislocker
Section: utils
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Sven Geuer <sge@debian.org>,
           Giovani Augusto Ferreira <giovani@debian.org>,
Build-Depends: debhelper-compat (=13),
               dpkg-dev (>= 1.22.5),
               cmake,
               libfuse3-dev,
               libmbedtls-dev,
               pkgconf,
               ruby-dev,
Standards-Version: 4.7.2
Homepage: https://github.com/Aorimn/dislocker
Vcs-Git: https://salsa.debian.org/pkg-security-team/dislocker.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/dislocker

Package: libdislocker0.7t64
Provides: ${t64:Provides},
Section: libs
Architecture: any
Replaces: libdislocker0.6 (<< 0.7~),
          libdislocker0.7,
Breaks: libdislocker0.6 (<< 0.7~),
        libdislocker0.7 (<< ${source:Version}),
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: read/write encrypted BitLocker volumes (shared library)
 Dislocker has been designed to read BitLocker encrypted partitions under
 a Linux system. The driver used to read volumes encrypted in Windows system
 versions of the Vista to 10 and BitLocker-To-Go encrypted partitions, that's
 USB/FAT32 partitions.
 .
 The software works with driver composed of a library, with multiple binaries
 using this library. Decrypting the partition, you have to give it a mount
 point where, once keys are decrypted, a file named dislocker-file appears.
 This file is a virtual NTFS partition, so you can mount it as any NTFS
 partition and then read from or write to it. Writing to the NTFS virtual
 file will change the underlying BitLocker partition content.
 .
 This package provides the runtime library.

Package: libdislocker0-dev
Architecture: any
Section: libdevel
Depends: libdislocker0.7t64 (= ${binary:Version}),
         ${misc:Depends},
Multi-Arch: foreign
Description: read/write encrypted BitLocker volumes (development files)
 Dislocker has been designed to read BitLocker encrypted partitions under
 a Linux system. The driver used to read volumes encrypted in Windows system
 versions of the Vista to 10 and BitLocker-To-Go encrypted partitions, that's
 USB/FAT32 partitions.
 .
 The software works with driver composed of a library, with multiple binaries
 using this library. Decrypting the partition, you have to give it a mount
 point where, once keys are decrypted, a file named dislocker-file appears.
 This file is a virtual NTFS partition, so you can mount it as any NTFS
 partition and then read from or write to it. Writing to the NTFS virtual
 file will change the underlying BitLocker partition content.
 .
 This package provides the development files.

Package: dislocker
Architecture: any
Depends: libdislocker0.7t64 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: ruby,
Description: read/write encrypted BitLocker volumes
 Dislocker has been designed to read BitLocker encrypted partitions under
 a Linux system. The driver used to read volumes encrypted in Windows system
 versions of the Vista to 10 and BitLocker-To-Go encrypted partitions, that's
 USB/FAT32 partitions.
 .
 The software works with driver composed of a library, with multiple binaries
 using this library. Decrypting the partition, you have to give it a mount
 point where, once keys are decrypted, a file named dislocker-file appears.
 This file is a virtual NTFS partition, so you can mount it as any NTFS
 partition and then read from or write to it. Writing to the NTFS virtual
 file will change the underlying BitLocker partition content. To use
 dislocker-find Ruby is required.
 .
 This tool is useful in cryptography managing and forensics investigations.

=== debian/tests/control ===
Test-Command: dislocker-fuse -h 2>&1 && { dislocker-fuse -h 2>&1 | grep "^dislocker by Romain Coltel, v$(grep -m1 -o -E '[0-9]+(\.[0-9]+)+' debian/changelog)"; }
Restrictions: superficial,

Test-Command: dislocker-find 2>&1
Restrictions: superficial,
